import a from "../../../classnames/index.mjs";
import * as l from "react";
const p = (c) => {
  const {
    prefixCls: s,
    className: n,
    style: r,
    size: e,
    shape: t
  } = c, o = a({
    [`${s}-lg`]: e === "large",
    [`${s}-sm`]: e === "small"
  }), i = a({
    [`${s}-circle`]: t === "circle",
    [`${s}-square`]: t === "square",
    [`${s}-round`]: t === "round"
  }), m = l.useMemo(() => typeof e == "number" ? {
    width: e,
    height: e,
    lineHeight: `${e}px`
  } : {}, [e]);
  return /* @__PURE__ */ l.createElement("span", {
    className: a(s, o, i, n),
    style: Object.assign(Object.assign({}, m), r)
  });
}, $ = p;
export {
  $ as default
};
